# encoding: UTF-8
# ------------------------------------------------------
#
# File: Author_MultiClassPlugin.rb
#
# An extension that does nifty things.
#
# ------------------------------------------------------

require 'sketchup.rb'
require 'extensions.rb'

module Author
  module MultiClassPlugin

    VERSION = "1.0.0"

    # Create an entry in the  "Extensions" list ("Preferences" dialog)
    #  that loads the main loader script, for this extension:

    @@extension = SketchupExtension.new(
      "Author: MultiClassPlugin",                           # The extension name
      "Author_MultiClassPlugin/MultiClassPlugin_loader.rb"  # The loader file path
    )

    @@extension.version = VERSION

    @@extension.creater = "Author or Company Name"

    @@extension.copyright = "©2016, by Author, All Rights Reserved"
    
    @@extension.description = 'An extension that does nifty things.'
    
    # Register this extension with the Sketchup::ExtensionManager:
    Sketchup.register_extension(@@extension, true)

  end # this plugin sub-module
end # author's toplevel namespace module
